org.eclipse.viatra.dse.evolutionary

## Class EvolutionaryStrategy.EvolutionaryStrategySharedObject

- java.lang.Object
- - org.eclipse.viatra.dse.evolutionary.EvolutionaryStrategy.EvolutionaryStrategySharedObject

- Enclosing class:
    EvolutionaryStrategy

      public static class EvolutionaryStrategy.EvolutionaryStrategySharedObject
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.concurrent.CyclicBarrier` | `barrierAfterChildGeneration`
    `java.util.concurrent.CyclicBarrier` | `barrierBeforeChildGeneration`
    `java.util.Set<TrajectoryFitness>` | `childPopulation`
    `int` | `childPopulationSize`
    `java.util.List<ICrossover>` | `crossovers`
    `IEvaluationStrategy` | `evaluationStrategy`
    `IInitialPopulationSelector` | `initialPopulationSelector`
    `int` | `initialPopulationSize`
    `com.google.common.util.concurrent.AtomicDouble` | `mutationChance`
    `IMutationRate` | `mutationRate`
    `java.util.List<IMutation>` | `mutations`
    `java.util.concurrent.atomic.AtomicReference<java.util.List<TrajectoryFitness>>` | `parentPopulation`
    `IParentSelectionStrategy` | `parentSelectionStrategy`
    `IReproductionStrategy` | `reproductionStrategy`
    `IStopCondition` | `stopCondition`
    `ISurvivalStrategy` | `survivalStrategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvolutionaryStrategySharedObject()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### initialPopulationSize

          public int initialPopulationSize

    - #### childPopulationSize

          public int childPopulationSize

    - #### initialPopulationSelector

          public IInitialPopulationSelector initialPopulationSelector

    - #### evaluationStrategy

          public IEvaluationStrategy evaluationStrategy

    - #### survivalStrategy

          public ISurvivalStrategy survivalStrategy

    - #### reproductionStrategy

          public IReproductionStrategy reproductionStrategy

    - #### parentSelectionStrategy

          public IParentSelectionStrategy parentSelectionStrategy

    - #### stopCondition

          public IStopCondition stopCondition

    - #### mutationRate

          public IMutationRate mutationRate

    - #### crossovers

          public java.util.List<ICrossover> crossovers

    - #### mutations

          public java.util.List<IMutation> mutations

    - #### barrierBeforeChildGeneration

          public java.util.concurrent.CyclicBarrier barrierBeforeChildGeneration

    - #### barrierAfterChildGeneration

          public java.util.concurrent.CyclicBarrier barrierAfterChildGeneration

    - #### mutationChance

          public com.google.common.util.concurrent.AtomicDouble mutationChance

    - #### childPopulation

          public java.util.Set<TrajectoryFitness> childPopulation

    - #### parentPopulation

          public java.util.concurrent.atomic.AtomicReference<java.util.List<TrajectoryFitness>> parentPopulation

  - ### Constructor Detail

    - #### EvolutionaryStrategySharedObject

          public EvolutionaryStrategySharedObject()